Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Interface Contained

All Known Implementing Classes:
  StandardPipeline, ValveBase

public interface Contained

Decoupling interface which specifies that an implementing class is associated with at most one Container instance.

Version:
  $Revision: 1.3 $ $Date: 2001/07/22 20:13:30 $
Author:
  Craig R. McClanahan, Peter Donald

Method Summary
`Container` | `getContainer()` Return the `Container` with which this instance is associated (if any); otherwise return `null`.
`void` | `setContainer(Container container)` Set the `Container` with which this instance is associated.

Method Detail

### getContainer

    public Container getContainer()

  Return the `Container` with which this instance is associated (if any); otherwise return `null`.

### setContainer

    public void setContainer(Container container)

  Set the `Container` with which this instance is associated.

  Parameters:
    `container` - The Container instance with which this instance is to be associated, or `null` to disassociate this instance from any Container

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.